# Lista de Proxies

## Básico

Você deve receber uma URL da sua lista de Proxies do seu Gerente de Conta Dedicado ou do nosso Suporte, e ela deve ser algo assim:

`https://proxy.oxylabs.io/key/a27c5343ce4c4637a85a9297ddf1cace`

Abra esta URL no seu navegador (ou em qualquer outro software de sua preferência). Em seguida, será solicitado que você insira suas credenciais de login (Autenticação Básica HTTP):

![](/files/b9aa99ef40a44fbfb822ff408b71dc545207f8ea)

Depois disso, você terá uma lista de Proxies em texto simples.&#x20;

Se você tiver várias listas e quiser obter todos os IPs atribuídos à sua conta, pode usar esta URL:

`https://proxy.oxylabs.io/all`

Você também pode incluir `?showCountry` ou `?showCity` no final da sua URL para obter os IPs com suas localizações correspondentes.

```
127.0.0.1:60000
127.0.0.2:60000
127.0.0.3:60000
127.0.0.4:60000
```

## RESTful

### Mostrando Todas as Listas de Proxies Disponíveis

Com este endpoint, você pode recuperar listas de Proxies que pertencem ao seu usuário:

`GET https://api.oxylabs.io/v1/proxies/lists`

#### Exemplos de código

{% tabs %}
{% tab title="cURL" %}

```shell
curl -u username:password "https://api.oxylabs.io/v1/proxies/lists"
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, "https://api.oxylabs.io/v1/proxies/lists");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_USERPWD, 'username:password');

$result = curl_exec($curl);
?>
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
requests.get('https://api.oxylabs.io/v1/proxies/lists', auth=('username', 'password'))
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Net;
using System.Text;

class Example
{
    static void Main()
    {
        HttpClient client = new HttpClient();
        var byteArray = Encoding.ASCII.GetBytes("username:password");
        client.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue("Basic", Convert.ToBase64String(byteArray));
        var task = Task.Run(async () => {
            var response = await client.GetAsync("https://api.oxylabs.io/v1/proxies/lists");
            var content = response.Content;
            var result = await content.ReadAsStringAsync();
            return result;
        }); 
        task.Wait();
    
        Console.WriteLine(task.Result);
    }
}
```

{% endtab %}
{% endtabs %}

#### Exemplo de saída

```shell
[
  {
    "uuid": "123e4567-e89b-12d3-a456-426655440000",
    "key": "12345678",
    "updated_timestamp": "2016-09-28T13:03:50+0300",
    "ips_count": 2000,
    "href": "http://api.oxylabs.io/v1/proxies/lists/123e4567-e89b-12d3-a456-426655440000"
  }
]
```

### Recuperando uma Lista de Proxies Específica

Com este endpoint, você pode recuperar uma lista de Proxies específica:

`GET https://api.oxylabs.io/v1/proxies/lists/{uuid}`

#### Parâmetro da solicitação

| Parâmetro | Descrição                             |
| --------- | ------------------------------------- |
| `uuid`    | O uuid da proxy-list a ser recuperada |

#### Exemplos de código

{% tabs %}
{% tab title="cURL" %}

```shell
curl -u username:password "https://api.oxylabs.io/v1/proxies/lists/{uuid}"
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, "https://api.oxylabs.io/v1/proxies/lists/{uuid}");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_USERPWD, 'username:password');
?>
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
requests.get('https://api.oxylabs.io/v1/proxies/lists/{uuid}', auth=('username', 'password'))
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Net;
using System.Text;

class Example
{
    static void Main()
    {
        HttpClient client = new HttpClient();
        var byteArray = Encoding.ASCII.GetBytes("username:password");
        client.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue("Basic", Convert.ToBase64String(byteArray));
        var task = Task.Run(async () => {
            var response = await client.GetAsync("https://api.oxylabs.io/v1/proxies/lists/{uuid}");
            var content = response.Content;
            var result = await content.ReadAsStringAsync();
            return result;
        }); 
        task.Wait();
    
        Console.WriteLine(task.Result);
    }
}
```

{% endtab %}
{% endtabs %}

#### Exemplo de saída

```shell
[
  {
    "ip": "127.0.0.1",
    "port": "60000",
    "country": "BE",
    "city": "Brussels",
    "created_at": "2022-04-06 13:03:10"
  },
  { 
    "ip": "127.0.0.2",
    "port": "60000",
    "country": "BE",
     "city": "Brussels",
    "created_at": "2022-04-06 13:03:10"
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.oxylabs.io/products/pt-br/proxies/dedicated-isp-proxies/enterprise/proxy-lists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
